function [sst_flg,smthrep,combflg,ekfac,jdate,sstfile,grdfile,frcfile, ...
                                    oafile,status] = sst2oa_inparm (infile);
%
% function [sst_flg,smthrep,combflg,ekfac,jdate,sstfile,grdfile,frcfile, ...
%                                     oafile,status] = sst2oa_inparm (infile);
%
% This function reads the parameters needed to map SST onto OA(G)/FM.

%-------------------------------------------------------------------------------
% Initialize output.
%-------------------------------------------------------------------------------

sst_flg = [];
smthrep = [];
combflg = [];
ekfac   = [];
jdate   = [];
sstfile = '';
grdfile = '';
frcfile = '';
oafile  = '';

%-------------------------------------------------------------------------------
%  Open input file.
%-------------------------------------------------------------------------------

[fid,mess] = fopen (infile,'r');

if (fid<0)
   disp (' ');
   disp ('***Error:  SST2OA_INPARM - unable to open input file:');
   disp (['           ',setstr(34),infile,setstr(34)]);
   disp (['           ',setstr(34),mess,setstr(34)]);
   disp (' ');
   status = fid;
   return;
end;

%-------------------------------------------------------------------------------
% Read input ASCII file.
%-------------------------------------------------------------------------------

sst_flg = num_read (fid);
smthrep = num_read (fid);
combflg = num_read (fid);
ekfac   = num_read (fid);
jdate   = num_read (fid);

sstfile = fgetl (fid);
grdfile = fgetl (fid);
frcfile = fgetl (fid);
oafile  = fgetl (fid);

%-------------------------------------------------------------------------------
% Close input ASCII file.
%-------------------------------------------------------------------------------

status = fclose (fid);

if (status<0)
   disp (' ');
   disp ('***Error:  SST2OA_INPARM - unable to close input file:');
   disp (['           ',setstr(34),infile,setstr(34)]);
   disp (' ');
   return;
end;
