function [smthrep,combflg,ekfac,frcfile,oafile,pifile,status] =  ...
                                    sstoa2piass_inparm (infile);
%
% function [smthrep,combflg,ekfac,frcfile,oafile,pifile,status] =  ...
%                                     sstoa2piass_inparm (infile);
%
% This function reads the parameters needed to map Objectively Analyzed SST
% onto a PE_initial assimilation file.

%-------------------------------------------------------------------------------
% Initialize output.
%-------------------------------------------------------------------------------

smthrep = [];
combflg = [];
ekfac   = [];
frcfile = '';
oafile  = '';
pifile  = '';

%-------------------------------------------------------------------------------
%  Open input file.
%-------------------------------------------------------------------------------

[fid,mess] = fopen (infile,'r');

if (fid<0)
   disp (' ');
   disp ('***Error:  SSTOA2PIASS_INPARM - unable to open input file:');
   disp (['           ',setstr(34),infile,setstr(34)]);
   disp (['           ',setstr(34),mess,setstr(34)]);
   disp (' ');
   status = fid;
   return;
end;

%-------------------------------------------------------------------------------
% Read input ASCII file.
%-------------------------------------------------------------------------------

smthrep = num_read (fid);
combflg = num_read (fid);
ekfac   = num_read (fid);

frcfile = fgetl (fid);
oafile  = fgetl (fid);
pifile  = fgetl (fid);

%-------------------------------------------------------------------------------
% Close input ASCII file.
%-------------------------------------------------------------------------------

status = fclose (fid);

if (status<0)
   disp (' ');
   disp ('***Error:  SSTOA2PIASS_INPARM - unable to close input file:');
   disp (['           ',setstr(34),infile,setstr(34)]);
   disp (' ');
   return;
end;
