function [xpndbd,latlim,lonlim,trange,smthrep,combflg,ekfac,jdate,sstfile, ...
         sclfile,grdfile,frcfile,pifile,status]  = sstppm2pi_inparm (infile);
%
% function [xpndbd,latlim,lonlim,trange,smthrep,combflg,ekfac,jdate,sstfile, ...
%          sclfile,grdfile,frcfile,pifile,status]  = sstppm2pi_inparm (infile);
%
% This function reads the parameters needed to map SST onto PE_initial.

%-------------------------------------------------------------------------------
% Initialize output.
%-------------------------------------------------------------------------------

xpndbd  = [];
latlim  = [];
lonlim  = [];
trange  = [];
smthrep = [];
combflg = [];
ekfac   = [];
jdate   = [];
sstfile = '';
sclfile = '';
grdfile = '';
frcfile = '';
pifile  = '';

%-------------------------------------------------------------------------------
%  Open input file.
%-------------------------------------------------------------------------------

[fid,mess] = fopen (infile,'r');

if (fid<0)
   disp (' ');
   disp ('***Error:  SST2PI_INPARM - unable to open input file:');
   disp (['           ',setstr(34),infile,setstr(34)]);
   disp (['           ',setstr(34),mess,setstr(34)]);
   disp (' ');
   status = fid;
   return;
end;

%-------------------------------------------------------------------------------
% Read input ASCII file.
%-------------------------------------------------------------------------------

xpndbd  = num_read (fid);
latmin  = num_read (fid);
latmax  = num_read (fid);
lonmin  = num_read (fid);
lonmax  = num_read (fid);
tmpmin  = num_read (fid);
tmpmax  = num_read (fid);
smthrep = num_read (fid);
combflg = num_read (fid);
ekfac   = num_read (fid);
jdate   = num_read (fid);

sstfile = fgetl (fid);
sclfile = fgetl (fid);
grdfile = fgetl (fid);
frcfile = fgetl (fid);
pifile  = fgetl (fid);

latlim  = [latmin latmax];
lonlim  = [lonmin lonmax];
trange  = [tmpmin tmpmax];

%-------------------------------------------------------------------------------
% Close input ASCII file.
%-------------------------------------------------------------------------------

status = fclose (fid);

if (status<0)
   disp (' ');
   disp ('***Error:  SST2PI_INPARM - unable to close input file:');
   disp (['           ',setstr(34),infile,setstr(34)]);
   disp (' ');
   return;
end;
